Set Boost baseline to 1.66, and enforce it

Desktop / LibreOffice - Stephan Bergmann [redhat.com] - 24 March 2020 17:12 EDT

According to the mailing list thread starting at "Reasonable boost baseline?", 1.66 should cover --with-system-boost at least for contemporary Debian, RHEL, and SUSE based distros.

And at least our AX_BOOST_BASE from m4/ax_boost_base.m4 by itself only issues a AC_MSG_NOTICE if no appropriate Boost is found, so add an explicit AC_MSG_ERROR to make configure fail in that case.

Change-Id: Ifdf6566af785f613c62f9c5a4b85cf80cec672c5 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/90985

0b9a6cfc443d Set Boost baseline to 1.66, and enforce it
configure.ac | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

Upstream: cgit.freedesktop.org


  • Share